[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'MaskEdit' (#lcl)

# TCustomMaskEdit.RestoreMask

Restores the saved edit mask in the control.

## Declaration

Source position: maskedit.pp line 269

`protected function TCustomMaskEdit.RestoreMask(`
`const NewText: string`
`):Boolean;`

## Arguments

`NewText` |  | New value assigned to the Text property.

## Function result

True on success.

## Description

RestoreMask is a procedure used to restore the saved edit mask in the control. The edit mask is saved when DisableMask is called and an edit mask is active for the control. The return value is True when the edit mask (and control state and value) are successfully restored.

In either circumstance, the value in NewText is assigned as the value for the Text property in the control.